"use strict"
let isaiahFont =0;
/* Only "Isaiah scroll" font have true regular and final forms of "mem",
and not just several versions of regular one.
This variable defines whether to transliterate "mem" according to its true
form and not to chosen "font variant".
0 means that font other than "Isaiah scroll" was chosen.*/


//Variables for quiz. Needed do made global;
//Number of possible answers per question in quiz.
let numAns = 4; 
// The correct aswer;
let correctAnswer;
//Number of  answered questions;
let answeredQuestions = 0;
//Number of correctly answered questions;
let answeredCorrect = 0;
//Whether you can answer question or already have answered it, 
//and any new answer is disabled;
let canAnswer;
//Variable storing current quiz type (on which alphabet is the quiz);
let thisQuiz;

// Array containing words for quiz.
let wordsArray = ["ירושלים","ישראל","יהודה","בראשית","שמות",
"ויקרא","במדבר","דברים","יהושע","שופטים","שמואל","מלכים","ישעיהו","ירמיהו",
"יחזקאל","הושע","יואל","עמוס","עובדיה","יונה","מיכה","נחום","חבקוק","צפניה",
"חגי","זכריה","מלאכי","תהלים","משלי","איוב","שיר השירים","רות","איכה",
"קהלת","אסתר","דניאל","עזרא","נחמה","דברי הימים","מדע","אהבה","זמנים",
"נשים","קדשה","הפלאה","זרעים","עבודה","קרבנות","טהרה","נזקים","קנין",
"משפטים","ברכות","פאה","דמאי","כלאים","שביעית","תרומות",
"מעשרות","מעשר שני","חלה","ערלה","ביכורים","שבת","עירובין","פסחים",
"שקלים","יומא","סוכה","ביצה","ראש השנה","תענית","מגילה","מועד קטן",
"חגיגה","יבמות","כתובות","נדרים","נזיר","סוטה","גיטין","קידושין",
"בבא קמא","בבא מציעא","בבא בתרא","סנהדרין","מכות","שבועות","עדיות",
"עבודה זרה","אבות","הוריות","זבחים","חולין","בכורות","ערכין","תמורה",
"כריתות","מעילה","תמיד","מידות","קינים","כלים","אהלות","נגעים","פרה",
"טהרות","מקואות","נידה","מכשירין","זבים","טבול יום","ידיים","עוקצים","מועד"];

// Function for Quiz.
function quiz(quizfunction){
	thisQuiz = quizfunction;
	canAnswer = 1;
	let answerArray = selectRandomDistinct(wordsArray,numAns);
	correctAnswer = Math.floor(Math.random()*answerArray.length);
	let answerCount = 0;
	let quizText = "";
	quizText += "היכן כתובה מילה הבאה: " + answerArray[correctAnswer] + "? <br />";
	while (answerCount<answerArray.length){
	quizText += "<button id='answ" + answerCount +"' onclick='answering("+ answerCount +")'>" + (answerCount +1) + ")" + "&#x202E"+ " " + quizfunction(answerArray[answerCount]) + "</button><br />";
		// I don't know why i need to use "&#x202E" and using "paleo" class that also converts direction isn't enough.
		answerCount += 1;
	}
	
	document.getElementById("quizarea").innerHTML = quizText;
}

//Functions for answering quiz.
function answering(answer){
	if (canAnswer == 0){
		window.alert('כבר ענית פעם אחת! תלחץ "שאלה הבאה"!');
		return;
	}
	let newAnswerCount = 0;
	while (newAnswerCount<numAns){
		let newAnsw = document.getElementById("answ" + newAnswerCount);
		if (correctAnswer == newAnswerCount){
			newAnsw.className = "correctanswer";
		}
		else if (answer == newAnswerCount){
			newAnsw.className = "wronganswer";
		}
		newAnswerCount += 1;
	}
	if (correctAnswer == answer){
		window.alert("נכון!");
		answeredCorrect += 1;
	}
	else window.alert("טעות!");
	answeredQuestions += 1;
	document.getElementById("answeredquestions").innerHTML =
	"ענית נכון על " + answeredCorrect + " מתוך " + answeredQuestions +
	" שאלות" + "<br />אחוז ההצלחה: " +
	((answeredCorrect/answeredQuestions)*100).toFixed(0) + "%";
	canAnswer = 0;
	let quizInner = document.getElementById("quizarea").innerHTML;
	quizInner += "<button onclick='quiz(" + thisQuiz + ")';>שאלה הבאה </button>";
    document.getElementById("quizarea").innerHTML = quizInner;
}

// Function for "navigating" through the program.
//Actually makes the destination section visible while hiding others.
function navBar(targetLink) {
	let hiddenElements = document.getElementsByClassName("sitepage");
	let hiddenCount = 0;
	let hiddenLength = hiddenElements.length;
	while (hiddenCount < hiddenLength){
		if (hiddenCount == targetLink) {
		hiddenElements[hiddenCount].style.display = "block";
		}
		else {
			hiddenElements[hiddenCount].style.display = "none";
		}
		hiddenCount += 1;
	}
	
	let paginationButtons = document.querySelectorAll ("nav button");
	let paginationCount  = 0;
	let paginationLength = paginationButtons.length;
	while (paginationCount<paginationLength){
		if (paginationCount !== targetLink) {
			paginationButtons[paginationCount].className = "paginationbutton";
		}
		else {
			paginationButtons[paginationCount].className = "paginationbutton, activelink";
		}
		paginationCount += 1;
	}

}

//Hides most of the sections on the page load. Shows only the first one.
(function () {navBar(0)})();


//Function for replacing character at specific position in string.
function replaceCharacter(inputString,charPosition,newChar){
	inputString = inputString.split("");
	inputString[charPosition] = newChar;
	inputString = inputString.join("");
	return inputString;
}

// Function for changing paleo font.
function changeFont() {
	let selectedFont = document.getElementById("fontselect");
	document.getElementById("paleofont").innerHTML = ".paleo {font-family:" +
	selectedFont.options[selectedFont.selectedIndex].value; + ";}";
	if (selectedFont.options[selectedFont.selectedIndex].value == "isaiahscroll") {
		isaiahFont = 1;
		// For writing final form of mem. This is the only font that have "true" final mem.
	}
	else {isaiahFont = 0;
}
}

/* Function for chosing random distict values from an array. Used for quiz.
Number of distinct values in the array must be larger than number of requested values.
Otherwise it will be endless loop!*/
function selectRandomDistinct(dataArray,answerQuantity) {
	let numWords = dataArray.length;
	let answerArray = [];
	let answerCounter = 0;
	while (answerCounter<answerQuantity){
		let randomWord = Math.floor(Math.random()*numWords);
		let wordCheck = 0;
		let repeatedWord = 0;
		while (wordCheck < answerArray.length) {
			if (dataArray[randomWord] == answerArray[wordCheck]){
				repeatedWord = 1;
				break;
		}
	wordCheck += 1;
	}
	if (repeatedWord == 1){continue;}
	answerArray[answerCounter] = dataArray[randomWord];
	answerCounter += 1;
	}
	return answerArray;
}

/*This function transforms "manzpah" letters in input text to their final forms.
finalConvert variable is text unput. arabic variable defines whether the text input is arabic taatik.
*/

function mantzpah (finalConvert){
	//Arrays storing regular and final forms of letters;
	let letters = ["מ","נ","צ","פ","כ"];
	let finalLetters = ["ם","ן","ץ","ף","ך"];
	// Array "splitOn" storing characters that
	//can end word and there is need to change
	//mantzpah letters to their final forms before them;
	let splitOn = [" ",".",",","!","?","/",";",":","(",")","[","]",'"',"'","\n","܀","܁","܂‎","܃","‎܄","܅","‎܆","‎܇","‎܈‎","‎܉","܊","܋","܌‎","܍","܏"];
	//Array "nikkud" is storing characters than can be
	//after the final letter in the word.
	let nikkud = ["ַ","ִ","ּ","ְ","ֵ","ֹ","ّ","ׄ","ָ","ֶ","ֻ","̈","̇","̤","̮","̣","̱","̄","݀","݂","݃","݄","݅","݆","݇","݈","݉","݊"];
	nikkud = nikkud.join("");
	let nikkudLen = nikkud.length;
	let splitLen = splitOn.length;
	let letterCount = 0;
	while (letterCount < 5){
		let splitCount = 0;
		while (splitCount < splitLen) {
			finalConvert = finalConvert.split(splitOn[splitCount]);
			let wordCount = 0;
			let finLen = finalConvert.length;
			let word = finalConvert[wordCount];
			while (wordCount < finLen) {
			if ((finalConvert[wordCount].lastIndexOf(letters[letterCount]) +1)== finalConvert[wordCount].length){
			finalConvert[wordCount] = replaceCharacter(finalConvert[wordCount],(finalConvert[wordCount].length-1),finalLetters[letterCount]);	
				}
				// This  block ensures the turning of כׄ צׄ פׄ to their final forms
				// even if they have nikkud and other diactric signs with them
						let depth = 0;
						while (depth<3){
							if(nikkud.indexOf((finalConvert[wordCount][(finalConvert[wordCount].length-1-depth)]))>0){
								if (finalConvert[wordCount][(finalConvert[wordCount].length-2-depth)]==letters[letterCount]){
									finalConvert[wordCount] = replaceCharacter(finalConvert[wordCount],(finalConvert[wordCount].length-2-depth),finalLetters[letterCount]);
								}
								else{
									depth+=1;
								}
								}
							else {depth +=3;
							}
						}		
					//End of section that changes
					//the mantzpah letters with nikkud and etc;
				wordCount += 1;
			}
			finalConvert = finalConvert.join(splitOn[splitCount]);
			splitCount += 1;
		}
		
		letterCount += 1;
	}
	return finalConvert;
}


// Function for conversion of user arabic input to hebrew taatik.
function arabicInputToTaatik(){
	let arabic = String(document.getElementById("arabicInput").value);
	let selectedFont = document.getElementById("arabicselect");
	if (selectedFont == "traditional") {
		let textResult = turnToTaatik(arabic,0);
		document.getElementById("taatikresult").value = mantzpah(textResult,1);
		}
	else {
		let textResult = turnToTaatik(arabic,1);
		document.getElementById("taatikresult").value = mantzpah(textResult,1);
		}
}

/* Function for conversion of user
hebrew input to syrian and vice versa
*/
function syrianHebrewConvert(){
	let syrian = String(document.getElementById("syrianinput").value);
	let selectedAction = document.getElementById("syrianselect").value;
	if (selectedAction == "tohebrewfull" || selectedAction == "tohebrewshort") {
		let textResult = syrianToHebrew(syrian,selectedAction);
		document.getElementById("syrianresult").value = mantzpah(textResult,1);
		}
	else if (selectedAction == "tosyrianeast" || selectedAction == "tosyrianwestupper" || selectedAction == "tosyrianwestbottom"){
		let textResult = hebrewToSyrian(syrian,selectedAction);
		document.getElementById("syrianresult").value = mantzpah(textResult,1);
		}

}

// Function for converting user input to paleo fonts;
function paleoHebrewConvert(){
	let paleo = String(document.getElementById("paleoinput").value);
	let selectedFontVariant = Number(document.getElementById("paleoselect").value);
	document.getElementById("paleooutput").value = hebrewToPaleo(paleo,selectedFontVariant);
}


// Function for reversing order of characters in text string.
function textReverse(textToReverse){
	textToReverse = textToReverse.split("");
	textToReverse.reverse();
	textToReverse = textToReverse.join("");
	return textToReverse;
}

//Function for reversing result of paleo conversion.
function reversePaleo(){
	let paleoTextToReverse = String(document.getElementById("paleooutput").value);
	document.getElementById("paleooutput").value = textReverse(paleoTextToReverse);
}

//Function that replaces aramaic (syrian) text with hebrew.
function syrianToHebrew(syrian,selectedAction){
	syrian = syrian.replace(/ܐ/g,"א");
	syrian = syrian.replace(/ܒ/g,"ב");
	syrian = syrian.replace(/ܓ/g,"ג");
	syrian = syrian.replace(/ܕ/g,"ד");
	syrian = syrian.replace(/ܗ/g,"ה");
	syrian = syrian.replace(/ܘ/g,"ו");
	syrian = syrian.replace(/ܙ/g,"ז");
	syrian = syrian.replace(/ܚ/g,"ח");
	syrian = syrian.replace(/ܛ/g,"ט");
	syrian = syrian.replace(/ܝ/g,"י");
	syrian = syrian.replace(/ܟ/g,"כ");
	syrian = syrian.replace(/ܠ/g,"ל");
	syrian = syrian.replace(/ܡ/g,"מ");
	syrian = syrian.replace(/ܢ/g,"נ");
	syrian = syrian.replace(/ܣ/g,"ס");
	syrian = syrian.replace(/ܤ/g,"ס");
	syrian = syrian.replace(/ܥ/g,"ע");
	syrian = syrian.replace(/ܦ/g,"פ");
	syrian = syrian.replace(/ܨ/g,"צ");
	syrian = syrian.replace(/ܩ/g,"ק");
	syrian = syrian.replace(/ܪ/g,"ר");
	syrian = syrian.replace(/ܫ/g,"ש");
	syrian = syrian.replace(/ܬ/g,"ת");
	syrian = syrian.replace(/݁/g,"ּ");
	syrian = syrian.replace(/ܰ/g,"ַ");
	syrian = syrian.replace(/ܱ/g,"ַ");
	syrian = syrian.replace(/ܲ/g,"ַ");
	syrian = syrian.replace(/ܳ/g,"ָ");
	syrian = syrian.replace(/ܴ/g,"ָ");
	syrian = syrian.replace(/ܵ/g,"ָ");
	syrian = syrian.replace(/ܶ/g,"ֶ");
	syrian = syrian.replace(/ܷ/g,"ֶ");
	syrian = syrian.replace(/ܸ/g,"ֶ");
	syrian = syrian.replace(/ܹ/g,"ֵ");
	syrian = syrian.replace(/ܻ/g,"ִ");
	syrian = syrian.replace(/ܺ/g,"ִ");
	syrian = syrian.replace(/יܼ/g,"יִ"); // If hbasa-esasa is under yod it is transliterated as hiriq.
	syrian = syrian.replace(/וܼ/g,"וּ"); // If hbasa-esasa is under waw it is transliterated as qubuts.
	syrian = syrian.replace(/ܼ/g,"ִ"); // Default traansliteration for hbasa-ebasa. Current - hiriq.
	syrian = syrian.replace(/ܾ/g,"ֻ");
	syrian = syrian.replace(/ܽ/g,"ֻ");
	syrian = syrian.replace(/ܿ/g,"ֹ");
	if (selectedAction == "tohebrewshort"){
	syrian = syrian.replace(/̈/g,"");
	syrian = syrian.replace(/̇/g,"");
	syrian = syrian.replace(/̤/g,"");
	syrian = syrian.replace(/̮/g,"");
	syrian = syrian.replace(/̣/g,"");
	syrian = syrian.replace(/̱/g,"");
	syrian = syrian.replace(/̄/g,"");
	syrian = syrian.replace(/݀/g,"");
	syrian = syrian.replace(/݂/g,"");
	syrian = syrian.replace(/݃/g,"");
	syrian = syrian.replace(/݄/g,"");
	syrian = syrian.replace(/݅/g,"");
	syrian = syrian.replace(/݆/g,"");
	syrian = syrian.replace(/݇/g,"");
	syrian = syrian.replace(/݈/g,"");
	syrian = syrian.replace(/݉/g,"");
	syrian = syrian.replace(/݊/g,"");
	}
	return syrian;
}

// Function for converting hebrew string to syrian.
function hebrewToSyrian(hebrew,selectedAction){
	hebrew = hebrew.replace(/א/g,"ܐ");
	hebrew = hebrew.replace(/ב/g,"ܒ");
	hebrew = hebrew.replace(/ג/g,"ܓ");
	hebrew = hebrew.replace(/ד/g,"ܕ");
	hebrew = hebrew.replace(/ה/g,"ܗ");
	hebrew = hebrew.replace(/ו/g,"ܘ");
	hebrew = hebrew.replace(/ז/g,"ܙ");
	hebrew = hebrew.replace(/ח/g,"ܚ");
	hebrew = hebrew.replace(/ט/g,"ܛ");
	hebrew = hebrew.replace(/י/g,"ܝ");
	hebrew = hebrew.replace(/כ/g,"ܟ");
	hebrew = hebrew.replace(/ך/g,"ܟ");
	hebrew = hebrew.replace(/ל/g,"ܠ");
	hebrew = hebrew.replace(/מ/g,"ܡ");
	hebrew = hebrew.replace(/ם/g,"ܡ");
	hebrew = hebrew.replace(/נ/g,"ܢ");
	hebrew = hebrew.replace(/ן/g,"ܢ");
	hebrew = hebrew.replace(/ס/g,"ܣ");
	hebrew = hebrew.replace(/ע/g,"ܥ");
	hebrew = hebrew.replace(/פ/g,"ܦ");
	hebrew = hebrew.replace(/ף/g,"ܦ");
	hebrew = hebrew.replace(/צ/g,"ܨ");
	hebrew = hebrew.replace(/ץ/g,"ܨ");
	hebrew = hebrew.replace(/ק/g,"ܩ");
	hebrew = hebrew.replace(/ר/g,"ܪ");
	hebrew = hebrew.replace(/ש/g,"ܫ");
	hebrew = hebrew.replace(/ת/g,"ܬ");
	if (selectedAction == "tosyrianeast"){
		hebrew = hebrew.replace(/ַ/g,"ܲ");
		hebrew = hebrew.replace(/ֲ/g,"ܲ");
		hebrew = hebrew.replace(/ָ/g,"ܵ");
		hebrew = hebrew.replace(/ֳ/g,"ܵ");
		hebrew = hebrew.replace(/ֶ/g,"ܸ");
		hebrew = hebrew.replace(/ֱ/g,"ܸ");
		hebrew = hebrew.replace(/ֵ/g,"ܹ");
		hebrew = hebrew.replace(/ֻ/g,"ܼ");
		hebrew = hebrew.replace(/ִ/g,"ܼ");
		hebrew = hebrew.replace(/ܘּ/g,"ܘܼ"); // If dagesh/shuruq under waw it is shuruq
		hebrew = hebrew.replace(/ּ/g,"݁"); // Else it is dagesh - Qushshaya.
		hebrew = hebrew.replace(/ֹ/g,"ܿ");
	}
	if (selectedAction == "tosyrianwestupper"){
		hebrew = hebrew.replace(/ַ/g,"ܰ");
		hebrew = hebrew.replace(/ֲ/g,"ܰ");
		hebrew = hebrew.replace(/ָ/g,"ܳ");
		hebrew = hebrew.replace(/ֳ/g,"ܳ");
		hebrew = hebrew.replace(/ֶ/g,"ܶ");
		hebrew = hebrew.replace(/ֱ/g,"ܶ");
		hebrew = hebrew.replace(/ֵ/g,"ܶ");
		hebrew = hebrew.replace(/ִ/g,"ܺ");
		hebrew = hebrew.replace(/ֻ/g,"ܽ");	
		hebrew = hebrew.replace(/ܘּ/g,"ܘܽ"); // If dagesh/shuruq under waw it is shuruq
		hebrew = hebrew.replace(/ּ/g,"݁"); // Else it is dagesh - Qushshaya.
	}
	if (selectedAction == "tosyrianwestbottom"){
		hebrew = hebrew.replace(/ַ/g,"ܱ");
		hebrew = hebrew.replace(/ֲ/g,"ܱ");
		hebrew = hebrew.replace(/ָ/g,"ܴ");
		hebrew = hebrew.replace(/ֳ/g,"ܴ");
		hebrew = hebrew.replace(/ֶ/g,"ܷ");
		hebrew = hebrew.replace(/ֱ/g,"ܷ");
		hebrew = hebrew.replace(/ֵ/g,"ܷ");
		hebrew = hebrew.replace(/ִ/g,"ܻ");
		hebrew = hebrew.replace(/ֻ/g,"ܾ");
		hebrew = hebrew.replace(/ܘּ/g,"ܘܾ"); // If dagesh/shuruq under waw it is shuruq
		hebrew = hebrew.replace(/ּ/g,"݁"); // Else it is dagesh - Qushshaya.
	}
	return hebrew;
}

/* Function that replaces the arabic text with hebrew transliteration ("taatik".
"arabic" parameter defines the text to convert
"modern" parameter defines whether the desired "taatik" is modern or of traditional jewish arabic */
function turnToTaatik(arabic,modern){
		 if (modern === undefined) {
    modern = 0;
  }
	arabic = arabic.replace(/،/g,",");
	arabic = arabic.replace(/؛/g,";");
	arabic = arabic.replace(/؟/g,"?");
	arabic = arabic.replace(/َ/g,"ַ");
	arabic = arabic.replace(/ِ/g,"ִ");
	arabic = arabic.replace(/ُ/g,"ּ");
	arabic = arabic.replace(/ْ/g,"ְ");
	arabic = arabic.replace(/ً/g,"ַנ");
	arabic = arabic.replace(/ٍ/g,"ֵן");
	arabic = arabic.replace(/ٌ/g,"ֹן");
	arabic = arabic.replace(/١/g,"1");
	arabic = arabic.replace(/٢/g,"2");
	arabic = arabic.replace(/٣/g,"3");
	arabic = arabic.replace(/٤/g,"4");
	arabic = arabic.replace(/٥/g,"5");
	arabic = arabic.replace(/٦/g,"6");
	arabic = arabic.replace(/٧/g,"7");
	arabic = arabic.replace(/٨/g,"8");
	arabic = arabic.replace(/٩/g,"9");
	arabic = arabic.replace(/٠/g,"0");
	arabic = arabic.replace(/ا/g,"א");
	arabic = arabic.replace(/اء/g,"אִ");
	arabic = arabic.replace(/ى/g,"א");
	arabic = arabic.replace(/أ/g,"אַ");
	arabic = arabic.replace(/ئ/g,"אׄ");
	arabic = arabic.replace(/ؤ/g,"אׄ");
	arabic = arabic.replace(/ء/g,"אׄ");
	arabic = arabic.replace(/إ/g,"אִ");
	arabic = arabic.replace(/ַַ/g,"ַ"); // מתקן ניקוד כפול באליף עם חמזה ופתחה
	arabic = arabic.replace(/ִִ/g,"ִ"); // מתקן ניקוד כפול באליף עם חמזה וכסרה
	arabic = arabic.replace(/آ/g,"אאׄ");
	arabic = arabic.replace(/ب/g,"ב");
	arabic = arabic.replace(/د/g,"ד");
	arabic = arabic.replace(/ذ/g,"דׄ");
	arabic = arabic.replace(/ه/g,"ה");
	arabic = arabic.replace(/ة/g,"ה");
	arabic = arabic.replace(/و/g,"ו");
	arabic = arabic.replace(/ز/g,"ז");
	arabic = arabic.replace(/ح/g,"ח");
	arabic = arabic.replace(/ط/g,"ט");
	arabic = arabic.replace(/ظ/g,"טׄ");
	arabic = arabic.replace(/ي/g,"י");
	arabic = arabic.replace(/ك/g,"כ");
	arabic = arabic.replace(/ل/g,"ל");
	arabic = arabic.replace(/م/g,"מ");
	arabic = arabic.replace(/ن/g,"נ");
	arabic = arabic.replace(/س/g,"ס");
	arabic = arabic.replace(/ع/g,"ע");
	arabic = arabic.replace(/ف/g,"פ");
	arabic = arabic.replace(/ص/g,"צ");
	arabic = arabic.replace(/ض/g,"צׄ");
	arabic = arabic.replace(/ق/g,"ק");
	arabic = arabic.replace(/ر/g,"ר");
	arabic = arabic.replace(/ش/g,"ש");
	arabic = arabic.replace(/ت/g,"ת");
	arabic = arabic.replace(/ث/g,"תׄ");
	if (modern == 0) {
		arabic = arabic.replace(/غ/g,"גׄ");
		arabic = arabic.replace(/خ/g,"כׄ");
		arabic = arabic.replace(/ج/g,"ג");
	}
	else {
		arabic = arabic.replace(/غ/g,"עׄ");
		arabic = arabic.replace(/خ/g,"חׄ");
		arabic = arabic.replace(/ج/g,"גׄ");
	}
	return arabic;
}

// Function for converting hebrew text to paleo fonts.
function hebrewToPaleo(paleoText, letterVariant) {
	 if (letterVariant === undefined) {
    letterVariant = 0;
  }
	if (letterVariant == 0){
		paleoText = paleoText.replace(/א/g, "a");
		paleoText = paleoText.replace(/ב/g, "b");
		paleoText = paleoText.replace(/ג/g, "g");
		paleoText = paleoText.replace(/ד/g, "d");
		paleoText = paleoText.replace(/ה/g, "h");
		paleoText = paleoText.replace(/ו/g, "w");
		paleoText = paleoText.replace(/ז/g, "z");
		paleoText = paleoText.replace(/ח/g, "x");
		paleoText = paleoText.replace(/ט/g, "j");
		paleoText = paleoText.replace(/י/g, "y");
		paleoText = paleoText.replace(/כ/g, "k");
		paleoText = paleoText.replace(/ך/g, "$");
		paleoText = paleoText.replace(/ל/g, "l");
		paleoText = paleoText.replace(/מ/g, "m");
		if (isaiahFont == 1){
			paleoText = paleoText.replace(/ם/g, "M");
			}
			else {
				paleoText = paleoText.replace(/ם/g, "m");
				}
				/*Only in Isaiah Scroll font there is special letter for "mem sofit".
				In other fonts it will have no effect or slight appearance change*/ 
		paleoText = paleoText.replace(/נ/g, "n");
		paleoText = paleoText.replace(/ן/g, "!");
		paleoText = paleoText.replace(/ס/g, "s");
		paleoText = paleoText.replace(/ע/g, "[");
		paleoText = paleoText.replace(/פ/g, "p");
		paleoText = paleoText.replace(/ף/g, "@");
		paleoText = paleoText.replace(/צ/g, "с");
		paleoText = paleoText.replace(/ץ/g, "#");
		paleoText = paleoText.replace(/ק/g, "q");
		paleoText = paleoText.replace(/ר/g, "r");
		paleoText = paleoText.replace(/ש/g, "f");
		//Actually, in some fonts there is difference between "left" and "right" shin.
		//I omitted this.
		paleoText = paleoText.replace(/ת/g, "t");
		return paleoText;
		}
	else {
		paleoText = paleoText.replace(/א/g, "A");
		paleoText = paleoText.replace(/ב/g, "B");
		paleoText = paleoText.replace(/ג/g, "G");
		paleoText = paleoText.replace(/ד/g, "D");
		paleoText = paleoText.replace(/ה/g, "H");
		paleoText = paleoText.replace(/ו/g, "W");
		paleoText = paleoText.replace(/ז/g, "Z");
		paleoText = paleoText.replace(/ח/g, "X");
		paleoText = paleoText.replace(/ט/g, "J");
		paleoText = paleoText.replace(/י/g, "Y");
		paleoText = paleoText.replace(/כ/g, "K");
		paleoText = paleoText.replace(/ך/g, "%");
		paleoText = paleoText.replace(/ל/g, "L");
		paleoText = paleoText.replace(/מ/g, "m");
		if (isaiahFont == 1){
			paleoText = paleoText.replace(/ם/g, "M");
			}
			else {
				paleoText = paleoText.replace(/ם/g, "m");
				}
			/*Only in Isaiah Scroll font there is special letter for "mem sofit".
			In other fonts it will have no effect or slight appearance change*/ 
		paleoText = paleoText.replace(/ם/g, "M");
		paleoText = paleoText.replace(/נ/g, "N");
		paleoText = paleoText.replace(/ן/g, "!");
		paleoText = paleoText.replace(/ס/g, "S");
		paleoText = paleoText.replace(/ע/g, "{");
		paleoText = paleoText.replace(/פ/g, "P");
		paleoText = paleoText.replace(/ף/g, "@");
		paleoText = paleoText.replace(/צ/g, "C");
		paleoText = paleoText.replace(/ץ/g, "#");
		paleoText = paleoText.replace(/ק/g, "Q");
		paleoText = paleoText.replace(/ר/g, "R");
		paleoText = paleoText.replace(/ש/g, "F");
		//Actually, in some fonts there is difference between "left" and "right" shin.
		//I omitted this.
		paleoText = paleoText.replace(/ת/g, "T");
		return paleoText;
		}
}

/* //cut script that reversed the order of letters in words
phoenician = phoenician.split(" ");
let phoLen = phoenician.length;
let wordCount = 0;
let phoWord;
while (wordCount<phoLen) {phoWord = phoenician[wordCount];
phoWord = phoWord.split("");
phoWord = phoWord.reverse();
phoWord = phoWord.join("");
console.log (phoWord);
phoenician[wordCount] = phoWord;
	wordCount+=1;}
phoenician = phoenician.join(" ");
*/